Package org.eclipse.rdf4j.model.vocabulary

## Class TIME

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.TIME

-     public class TIME
      extends Object

  Constants for the Time Ontology in OWL.
  Author:
    Bart Hanssens
  See Also:
    Time Ontology in OWL

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `AFTER` | time:after
    `static IRI` | `BEFORE` | time:before
    `static IRI` | `DATE_TIME_DESCRIPTION` | time:DateTimeDescription
    `static IRI` | `DATE_TIME_INTERVAL` | time:DateTimeInterval
    `static IRI` | `DAY` | time:day
    `static IRI` | `DAY_OF_WEEK` | time:DayOfWeek
    `static IRI` | `DAY_OF_WEEK_PROP` | time:dayOfWeek
    `static IRI` | `DAY_OF_YEAR` | time:dayOfYear
    `static IRI` | `DAYS` | time:days
    `static IRI` | `DURATION` | time:Duration
    `static IRI` | `DURATION_DESCRIPTION` | time:DurationDescription
    `static IRI` | `FRIDAY` | time:Friday
    `static IRI` | `GENERAL_DATE_TIME_DESCRIPTION` | time:GeneralDateTimeDescription
    `static IRI` | `GENERAL_DURATION_DESCRIPTION` | time:GeneralDurationDescription
    `static IRI` | `HAS_BEGINNING` | time:hasBeginning
    `static IRI` | `HAS_DATE_TIME_DESCRIPTION` | time:hasDateTimeDescription
    `static IRI` | `HAS_DURATION` | time:hasDuration
    `static IRI` | `HAS_DURATION_DESCRIPTION` | time:hasDurationDescription
    `static IRI` | `HAS_END` | time:hasEnd
    `static IRI` | `HAS_TEMPORAL_DURATION` | time:hasTemporalDuration
    `static IRI` | `HAS_TIME` | time:hasTime
    `static IRI` | `HAS_TRS` | time:hasTRS
    `static IRI` | `HAS_XSDDURATION` | time:hasXSDDuration
    `static IRI` | `HOUR` | time:hour
    `static IRI` | `HOURS` | time:hours
    `static IRI` | `IN_DATE_TIME` | time:inDateTime
    `static IRI` | `IN_TEMPORAL_POSITION` | time:inTemporalPosition
    `static IRI` | `IN_TIME_POSITION` | time:inTimePosition
    `static IRI` | `IN_XSDDATE` | time:inXSDDate
    `static IRI` | `IN_XSDDATE_TIME` | Deprecated.
    `static IRI` | `IN_XSDDATE_TIME_STAMP` | time:inXSDDateTimeStamp
    `static IRI` | `IN_XSDG_YEAR` | time:inXSDgYear
    `static IRI` | `IN_XSDG_YEAR_MONTH` | time:inXSDgYearMonth
    `static IRI` | `INSIDE` | time:inside
    `static IRI` | `INSTANT` | time:Instant
    `static IRI` | `INTERVAL` | time:Interval
    `static IRI` | `INTERVAL_AFTER` | time:intervalAfter
    `static IRI` | `INTERVAL_BEFORE` | time:intervalBefore
    `static IRI` | `INTERVAL_CONTAINS` | time:intervalContains
    `static IRI` | `INTERVAL_DISJOINT` | time:intervalDisjoint
    `static IRI` | `INTERVAL_DURING` | time:intervalDuring
    `static IRI` | `INTERVAL_EQUALS` | time:intervalEquals
    `static IRI` | `INTERVAL_FINISHED_BY` | time:intervalFinishedBy
    `static IRI` | `INTERVAL_FINISHES` | time:intervalFinishes
    `static IRI` | `INTERVAL_IN` | time:intervalIn
    `static IRI` | `INTERVAL_MEETS` | time:intervalMeets
    `static IRI` | `INTERVAL_MET_BY` | time:intervalMetBy
    `static IRI` | `INTERVAL_OVERLAPPED_BY` | time:intervalOverlappedBy
    `static IRI` | `INTERVAL_OVERLAPS` | time:intervalOverlaps
    `static IRI` | `INTERVAL_STARTED_BY` | time:intervalStartedBy
    `static IRI` | `INTERVAL_STARTS` | time:intervalStarts
    `static IRI` | `JANUARY` | Deprecated.
    `static IRI` | `MINUTE` | time:minute
    `static IRI` | `MINUTES` | time:minutes
    `static IRI` | `MONDAY` | time:Monday
    `static IRI` | `MONTH` | time:month
    `static IRI` | `MONTH_OF_YEAR` | time:MonthOfYear
    `static IRI` | `MONTH_OF_YEAR_PROP` | time:monthOfYear
    `static IRI` | `MONTHS` | time:months
    `static String` | `NAMESPACE` | The Time namespace: http://www.w3.org/2006/time#
    `static IRI` | `NOMINAL_POSITION` | time:nominalPosition
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `NUMERIC_DURATION` | time:numericDuration
    `static IRI` | `NUMERIC_POSITION` | time:numericPosition
    `static String` | `PREFIX` | Recommended prefix for the namespace: "time"
    `static IRI` | `PROPER_INTERVAL` | time:ProperInterval
    `static IRI` | `SATURDAY` | time:Saturday
    `static IRI` | `SECOND` | time:second
    `static IRI` | `SECONDS` | time:seconds
    `static IRI` | `SUNDAY` | time:Sunday
    `static IRI` | `TEMPORAL_DURATION` | time:TemporalDuration
    `static IRI` | `TEMPORAL_ENTITY` | time:TemporalEntity
    `static IRI` | `TEMPORAL_POSITION` | time:TemporalPosition
    `static IRI` | `TEMPORAL_UNIT` | time:TemporalUnit
    `static IRI` | `THURSDAY` | time:Thursday
    `static IRI` | `TIME_POSITION` | time:TimePosition
    `static IRI` | `TIME_ZONE` | time:TimeZone
    `static IRI` | `TIME_ZONE_PROP` | time:timeZone
    `static IRI` | `TRS` | time:TRS
    `static IRI` | `TUESDAY` | time:Tuesday
    `static IRI` | `UNIT_DAY` | time:unitDay
    `static IRI` | `UNIT_HOUR` | time:unitHour
    `static IRI` | `UNIT_MINUTE` | time:unitMinute
    `static IRI` | `UNIT_MONTH` | time:unitMonth
    `static IRI` | `UNIT_SECOND` | time:unitSecond
    `static IRI` | `UNIT_TYPE` | time:unitType
    `static IRI` | `UNIT_WEEK` | time:unitWeek
    `static IRI` | `UNIT_YEAR` | time:unitYear
    `static IRI` | `WEDNESDAY` | time:Wednesday
    `static IRI` | `WEEK` | time:week
    `static IRI` | `WEEKS` | time:weeks
    `static IRI` | `XSD_DATE_TIME` | Deprecated.
    `static IRI` | `YEAR` | Deprecated.
    `static IRI` | `YEAR_PROP` | time:year
    `static IRI` | `YEARS` | time:years

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TIME()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The Time namespace: http://www.w3.org/2006/time#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "time"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### DATE_TIME_DESCRIPTION

          public static final IRI DATE_TIME_DESCRIPTION

      time:DateTimeDescription

    - #### DATE_TIME_INTERVAL

          public static final IRI DATE_TIME_INTERVAL

      time:DateTimeInterval

    - #### DAY_OF_WEEK

          public static final IRI DAY_OF_WEEK

      time:DayOfWeek

    - #### DURATION

          public static final IRI DURATION

      time:Duration

    - #### DURATION_DESCRIPTION

          public static final IRI DURATION_DESCRIPTION

      time:DurationDescription

    - #### GENERAL_DATE_TIME_DESCRIPTION

          public static final IRI GENERAL_DATE_TIME_DESCRIPTION

      time:GeneralDateTimeDescription

    - #### GENERAL_DURATION_DESCRIPTION

          public static final IRI GENERAL_DURATION_DESCRIPTION

      time:GeneralDurationDescription

    - #### INSTANT

          public static final IRI INSTANT

      time:Instant

    - #### INTERVAL

          public static final IRI INTERVAL

      time:Interval

    - #### JANUARY

          @Deprecated
          public static final IRI JANUARY

      Deprecated.
      time:January

    - #### MONTH_OF_YEAR

          public static final IRI MONTH_OF_YEAR

      time:MonthOfYear

    - #### PROPER_INTERVAL

          public static final IRI PROPER_INTERVAL

      time:ProperInterval

    - #### TRS

          public static final IRI TRS

      time:TRS

    - #### TEMPORAL_DURATION

          public static final IRI TEMPORAL_DURATION

      time:TemporalDuration

    - #### TEMPORAL_ENTITY

          public static final IRI TEMPORAL_ENTITY

      time:TemporalEntity

    - #### TEMPORAL_POSITION

          public static final IRI TEMPORAL_POSITION

      time:TemporalPosition

    - #### TEMPORAL_UNIT

          public static final IRI TEMPORAL_UNIT

      time:TemporalUnit

    - #### TIME_POSITION

          public static final IRI TIME_POSITION

      time:TimePosition

    - #### TIME_ZONE

          public static final IRI TIME_ZONE

      time:TimeZone

    - #### YEAR

          @Deprecated
          public static final IRI YEAR

      Deprecated.
      time:Year

    - #### AFTER

          public static final IRI AFTER

      time:after

    - #### BEFORE

          public static final IRI BEFORE

      time:before

    - #### DAY

          public static final IRI DAY

      time:day

    - #### DAY_OF_WEEK_PROP

          public static final IRI DAY_OF_WEEK_PROP

      time:dayOfWeek

    - #### DAY_OF_YEAR

          public static final IRI DAY_OF_YEAR

      time:dayOfYear

    - #### DAYS

          public static final IRI DAYS

      time:days

    - #### HAS_BEGINNING

          public static final IRI HAS_BEGINNING

      time:hasBeginning

    - #### HAS_DATE_TIME_DESCRIPTION

          public static final IRI HAS_DATE_TIME_DESCRIPTION

      time:hasDateTimeDescription

    - #### HAS_DURATION

          public static final IRI HAS_DURATION

      time:hasDuration

    - #### HAS_DURATION_DESCRIPTION

          public static final IRI HAS_DURATION_DESCRIPTION

      time:hasDurationDescription

    - #### HAS_END

          public static final IRI HAS_END

      time:hasEnd

    - #### HAS_TRS

          public static final IRI HAS_TRS

      time:hasTRS

    - #### HAS_TEMPORAL_DURATION

          public static final IRI HAS_TEMPORAL_DURATION

      time:hasTemporalDuration

    - #### HAS_TIME

          public static final IRI HAS_TIME

      time:hasTime

    - #### HAS_XSDDURATION

          public static final IRI HAS_XSDDURATION

      time:hasXSDDuration

    - #### HOUR

          public static final IRI HOUR

      time:hour

    - #### HOURS

          public static final IRI HOURS

      time:hours

    - #### IN_DATE_TIME

          public static final IRI IN_DATE_TIME

      time:inDateTime

    - #### IN_TEMPORAL_POSITION

          public static final IRI IN_TEMPORAL_POSITION

      time:inTemporalPosition

    - #### IN_TIME_POSITION

          public static final IRI IN_TIME_POSITION

      time:inTimePosition

    - #### IN_XSDDATE

          public static final IRI IN_XSDDATE

      time:inXSDDate

    - #### IN_XSDDATE_TIME

          @Deprecated
          public static final IRI IN_XSDDATE_TIME

      Deprecated.
      time:inXSDDateTime

    - #### IN_XSDDATE_TIME_STAMP

          public static final IRI IN_XSDDATE_TIME_STAMP

      time:inXSDDateTimeStamp

    - #### IN_XSDG_YEAR

          public static final IRI IN_XSDG_YEAR

      time:inXSDgYear

    - #### IN_XSDG_YEAR_MONTH

          public static final IRI IN_XSDG_YEAR_MONTH

      time:inXSDgYearMonth

    - #### INSIDE

          public static final IRI INSIDE

      time:inside

    - #### INTERVAL_AFTER

          public static final IRI INTERVAL_AFTER

      time:intervalAfter

    - #### INTERVAL_BEFORE

          public static final IRI INTERVAL_BEFORE

      time:intervalBefore

    - #### INTERVAL_CONTAINS

          public static final IRI INTERVAL_CONTAINS

      time:intervalContains

    - #### INTERVAL_DISJOINT

          public static final IRI INTERVAL_DISJOINT

      time:intervalDisjoint

    - #### INTERVAL_DURING

          public static final IRI INTERVAL_DURING

      time:intervalDuring

    - #### INTERVAL_EQUALS

          public static final IRI INTERVAL_EQUALS

      time:intervalEquals

    - #### INTERVAL_FINISHED_BY

          public static final IRI INTERVAL_FINISHED_BY

      time:intervalFinishedBy

    - #### INTERVAL_FINISHES

          public static final IRI INTERVAL_FINISHES

      time:intervalFinishes

    - #### INTERVAL_IN

          public static final IRI INTERVAL_IN

      time:intervalIn

    - #### INTERVAL_MEETS

          public static final IRI INTERVAL_MEETS

      time:intervalMeets

    - #### INTERVAL_MET_BY

          public static final IRI INTERVAL_MET_BY

      time:intervalMetBy

    - #### INTERVAL_OVERLAPPED_BY

          public static final IRI INTERVAL_OVERLAPPED_BY

      time:intervalOverlappedBy

    - #### INTERVAL_OVERLAPS

          public static final IRI INTERVAL_OVERLAPS

      time:intervalOverlaps

    - #### INTERVAL_STARTED_BY

          public static final IRI INTERVAL_STARTED_BY

      time:intervalStartedBy

    - #### INTERVAL_STARTS

          public static final IRI INTERVAL_STARTS

      time:intervalStarts

    - #### MINUTE

          public static final IRI MINUTE

      time:minute

    - #### MINUTES

          public static final IRI MINUTES

      time:minutes

    - #### MONTH

          public static final IRI MONTH

      time:month

    - #### MONTH_OF_YEAR_PROP

          public static final IRI MONTH_OF_YEAR_PROP

      time:monthOfYear

    - #### MONTHS

          public static final IRI MONTHS

      time:months

    - #### NOMINAL_POSITION

          public static final IRI NOMINAL_POSITION

      time:nominalPosition

    - #### NUMERIC_DURATION

          public static final IRI NUMERIC_DURATION

      time:numericDuration

    - #### NUMERIC_POSITION

          public static final IRI NUMERIC_POSITION

      time:numericPosition

    - #### SECOND

          public static final IRI SECOND

      time:second

    - #### SECONDS

          public static final IRI SECONDS

      time:seconds

    - #### TIME_ZONE_PROP

          public static final IRI TIME_ZONE_PROP

      time:timeZone

    - #### UNIT_TYPE

          public static final IRI UNIT_TYPE

      time:unitType

    - #### WEEK

          public static final IRI WEEK

      time:week

    - #### WEEKS

          public static final IRI WEEKS

      time:weeks

    - #### XSD_DATE_TIME

          @Deprecated
          public static final IRI XSD_DATE_TIME

      Deprecated.
      time:xsdDateTime

    - #### YEAR_PROP

          public static final IRI YEAR_PROP

      time:year

    - #### YEARS

          public static final IRI YEARS

      time:years

    - #### MONDAY

          public static final IRI MONDAY

      time:Monday

    - #### TUESDAY

          public static final IRI TUESDAY

      time:Tuesday

    - #### WEDNESDAY

          public static final IRI WEDNESDAY

      time:Wednesday

    - #### THURSDAY

          public static final IRI THURSDAY

      time:Thursday

    - #### FRIDAY

          public static final IRI FRIDAY

      time:Friday

    - #### SATURDAY

          public static final IRI SATURDAY

      time:Saturday

    - #### SUNDAY

          public static final IRI SUNDAY

      time:Sunday

    - #### UNIT_SECOND

          public static final IRI UNIT_SECOND

      time:unitSecond

    - #### UNIT_MINUTE

          public static final IRI UNIT_MINUTE

      time:unitMinute

    - #### UNIT_HOUR

          public static final IRI UNIT_HOUR

      time:unitHour

    - #### UNIT_DAY

          public static final IRI UNIT_DAY

      time:unitDay

    - #### UNIT_WEEK

          public static final IRI UNIT_WEEK

      time:unitWeek

    - #### UNIT_MONTH

          public static final IRI UNIT_MONTH

      time:unitMonth

    - #### UNIT_YEAR

          public static final IRI UNIT_YEAR

      time:unitYear

  - ### Constructor Detail

    - #### TIME

          public TIME()